
import React from 'react';
import Icon from 'react-icon-base';

const SlHome = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M1016.7 446.64l-480.369 503.168c-6.03223 6.30371 -14.3682 9.83984 -23.0879 9.83984c-8.7041 0 -17.04 -3.55176 -23.0879 -9.83984l-482.848 -503.152c-12.2402 -12.752 -11.8086 -32.9922 0.943359 -45.248c12.752 -12.2236 32.9922 -11.8721 45.248 0.944336 l43.0078 44.832v-478.832c0 -17.6797 14.3359 -32 32 -32h223.552c17.6318 0 31.9355 14.2559 32 31.9043l1.00781 319.664h254.992v-319.568c0 -17.6797 14.3203 -32 32 -32h223.472c17.6797 0 32 14.3203 32 32v478.992l42.9922 -45.04 c6.28809 -6.52832 14.6885 -9.83984 23.0889 -9.83984c7.96777 0 15.9678 2.94434 22.1602 8.94434c12.7363 12.2236 13.1523 32.4795 0.928711 45.2314zM863.535 505.184v-504.831h-159.472v319.552c0 17.6797 -14.3203 32 -32 32h-318.88 c-17.6318 0 -31.9355 -14.2559 -32 -31.9043l-1.00781 -319.664h-159.664v504.848c0 2.63965 -0.416016 5.16797 -1.00781 7.63184l353.76 368.624l351.424 -368.208c-0.688477 -2.5918 -1.15234 -5.26367 -1.15234 -8.04785z"/></g>
    </Icon>
);

export default SlHome;
